$j = jQuery.noConflict();

$j(document).ready(function(){
							
	ancr_status = $j('#announcer_status');
	ancr_statusbt = $j('#announcer_statusbt');
	
	// Initialize the editor
	$j('#announcer_content').wysiwyg();
	$j('#announcer_content').bind('click keyup', function(){
		$j(this).focus();
		$j('#announcer_contentIFrame').contents().find('body').html($j(this).val());
	});
	
	// The colorpicker
	$j('#announcer_colorpicker').hide();
	$j('.cpicker').each(function(){
		$j(this).css('background-color', $j(this).val());
	});
	
	var acp = $j.farbtastic('#announcer_colorpicker');
	$j('.cpicker').each(function(){
		acp.linkTo(this);
	}).focus(function(){
		acp.linkTo(this);
		acp.setColor($j(this).val());
		$j('#announcer_colorpicker').show();
	}).blur(function(){
		$j('#announcer_colorpicker').hide();
	});
	
	$j('#announcer_colorpicker').mouseup(function(){
		ancr_mergecolors();
	});
	
	$j('.cpicker').bind('keyup blur', function(){
		ancr_mergecolors();
	});
	
	ancr_getcolors();
	
	// Status button on click
	$j('#announcer_statusbt').click(function(){
		val = ancr_status.val();
		if(val == 1) val = 0; else val = 1;
		ancr_status.val(val);
		ancr_updbt(val);
	});
	
	// Custom class field
	$j('#announcer_style').change(function(){
		ancr_customclassfld();
	});
	
	// Video
	$j('.ancr_open_video').click(function(e){
		e.preventDefault();
		newwindow2=window.open('','name','height=340,width=585');
		var tmp = newwindow2.document;
		tmp.write('<iframe width="560" height="315" src="http://www.youtube.com/embed/WTLHuoY0mM0" frameborder="0" allowfullscreen></iframe>');
		tmp.close();
	});
	
	// Share bar
	$j('.ancr_share_wrap li').mouseenter(function(){
		$this = $j(this);
		$j('.ancr_share_iframe').remove();
		$j('body').append('<iframe class="ancr_share_iframe"></iframe>');
		$j('.ancr_share_iframe').css({
			position: 'absolute',
			top: $this.offset()['top'],
			left: $this.offset()['left'] + 55,
			width: $this.attr('data-width'),
			height: $this.attr('data-height'),
		}).attr('src', $this.attr('data-url')).hide().fadeIn();
	});
	
	$j('.ancr_share_iframe').live('mouseout', function(){
		$j(this).remove();
	});
	
	// Final inits
	ancr_updbt(ancr_status.val());
	ancr_customclassfld();
});

function ancr_updbt(val){
	val = Number(val);
	
	switch(val){
		case 0:
			ancr_statusbt.text('Announcement is Off');
			ancr_statusbt.css({
				'border-color': '#FF9900',
				'background-color' : '#FFCC00'
			});
			ancr_changecolor();
		break;
		
		case 1:
			ancr_statusbt.text('Announcement is On');
			ancr_statusbt.css({
				'border-color': '#00CC00',
				'background-color' : '#00FF00'
			});
			ancr_changecolor();
		break;
	}
	
}

function ancr_changecolor(){
	$j('.wysiwyg, .wysiwyg .panel, .wysiwyg .separator, #announcer_content').css('border-color', $j('#announcer_statusbt').css('border-color'));
}

function ancr_mergecolors(){
	clrs = [];
	$j('.cpicker').each(function(){
		clrs.push($j(this).val());
	});
	console.log(clrs);
	$j('#announcer_stylecolors').val(clrs.join(','));
}

function ancr_getcolors(){
	ancrclrs = $j('#announcer_stylecolors').val();
	ancrclrssplit = ancrclrs.split(','); var iii = 0;
	$j('.cpicker').each(function(){
		gcolor = ancrclrssplit[iii];
		$j(this).val(gcolor).css('background-color', gcolor);
		iii++;
	});
}

function ancr_customclassfld(){
	if($j('#announcer_style').val() == 'custom'){
		$j('.announcer_cclass').fadeIn();
		$j('.announcer_ccolor').hide();
	}else{
		$j('.announcer_cclass').hide();
		$j('.announcer_ccolor').fadeIn();
	}
}

var ancr_closeiframe = function(){
	$j('.ancr_share_iframe').remove();
}